| Extracted from Pike v7.8 release 700 at 2013-06-08.

[Top]
Protocols
Protocols.HTTP
Protocols.HTTP.Query

# Method Protocols.HTTP.Query()->cast()

Method cast

  `array cast("array")`

Returns

  Array
  `mapping 0` | Headers
  `string 1` | Data
  `string 2` | Protocol
  `int 3` | Status
  `string 4` | Status description

Method cast

  `mapping cast("mapping")`

Returns

  The header mapping ORed with the following mapping.

  `"protocol" : string` | The protocol.
  `"status" : int` | The status code.
  `"status_desc" : string` | The status description.
  `"data" : string` | The returned data.

Method cast

  `string cast("string")`

Description

  Gives back the answer as a string.